/**
 * RandomNumberFinder is a Java(TM) application which allows a
 * user to search a ten element array of random integers
 * in the range 0 to 20.
 *
 * CS103 Homework 7 Solution (Problem 2)
 *
 * @author  Randy Phillips
 * @version 1.0
 */
public class RandomNumberFinder
{
  public static void main(String[] args)
  {
    int   input        = 0;		  // user input
    int[] randomNumber = new int[10]; // ten element array

    // initialize ten element array with random integers
    for (int i = 0; i < randomNumber.length; i++)
      randomNumber[i] = (int)(Math.random() * 21);

    do
    {
      // get input from the user
      do
      {
        System.out.print("Enter an integer in the range 0 to 20 (negative to quit): ");
        input = SavitchIn.readLineInt();
      }
      while (input > 20);

      // if input is negative, kick out of loop
      if (input < 0) break;

      // print blank line
      System.out.println();

      boolean isFound = false;

      // step through array and print out indecies where the number entered by the
      // user is found (if it is found, of course!)
      for (int i = 0; i < randomNumber.length; i++)
      {
	if (randomNumber[i] == input)
        {
          if (!isFound) isFound = true;
          System.out.println("The integer " + input + " was found at index: " + i);
        }
      }

      // if the number entered was not found, print message (saying so) to the user
      if (!isFound) System.out.println("The integer " + input + " was not found");

      // print blank line
      System.out.println();
    }
    while (true);
  }
}